#
# spec file for package qlogic-firmware (Version 1.0)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           qlogic-firmware
URL:            ftp://ftp.qlogic.com/outgoing/linux/firmware
License:        Other License(s), see package
Group:          Hardware/Other
Autoreqprov:    on
Summary:        Firmware files for Qlogic FibreChannel Cards (QLA2XXX Series)
Source0:        LICENSE
Source1:        CURRENT_VERSIONS
Source11:       ql2100_fw.bin
Source12:       ql2200_fw.bin
Source13:       ql2300_fw.bin
Source14:       ql2322_fw.bin
Source15:       ql2400_fw.bin
Source16:       ql6312_fw.bin
Version:        1.0
Release:        13.2
# Install into this non-root directory (required when norootforbuild is used):
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:    noarch
%define _datadir /lib/firmware
# Modules: qla1280.ko qla2xxx.ko qla4xxx.ko
Supplements: modalias(pci:v00001077d00001016sv*sd*bc*sc*i*)
Supplements: modalias(pci:v00001077d000010[28]0sv*sd*bc*sc*i*)
Supplements: modalias(pci:v00001077d00001216sv*sd*bc*sc*i*)
Supplements: modalias(pci:v00001077d000012[48]0sv*sd*bc*sc*i*)
Supplements: modalias(pci:v00001077d00002[123]00sv*sd*bc*sc*i*)
Supplements: modalias(pci:v00001077d000023[12]2sv*sd*bc*sc*i*)
Supplements: modalias(pci:v00001077d000024[23]2sv*sd*bc*sc*i*)
Supplements: modalias(pci:v00001077d00004010sv*sd*bc*sc*i*)
Supplements: modalias(pci:v00001077d00004022sv*sd*bc*sc*i*)
Supplements: modalias(pci:v00001077d000063[12]2sv*sd*bc*sc*i*)
# Generated with: extract-modaliases -i qla* kernel-default.rpm
%debug_package
%prep
cp %{S:0} .
cp %{S:1} .

%build
# There is nothing to build.

%install
# The firmware files must be installed in /lib/firmware
# because the firmware loader from udev searches there
mkdir -p %{buildroot}%{_datadir}
install -m 644 %{S:11} %{S:12} %{S:13} %{S:14} %{S:15} %{S:16} %{buildroot}%{_datadir}

%files
%defattr(-,root,root)
%doc LICENSE CURRENT_VERSIONS
%{_datadir}/

%description
Firmware files for the QLogic QLA2XXX Series of FibreChannel HBA
Adapters.

For the current version of the individual firmware files please check
the CURRENT_VERSIONS file in /usr/share/doc/packages/qlogic-firmware/

For the license see the LICENSE file in
/usr/share/doc/packages/qlogic-firmware/



Authors:
--------
    Andrew Vasquez <andrew.vasquez@qlogic.com>


%changelog -n qlogic-firmware
* Tue Mar 07 2006 - agruen@suse.de
- Add modalias tags (155357).
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jan 19 2006 - hare@suse.de
- Initial package
